# Function fetchIbcXfer

- fetchIbcXfer<N, C>(wcIbc, msg): Promise<IbcTransferInfo | null>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira"

  #### Parameters

  - ##### wcIbc: IbcBridge<N, "Cosmwasm", C>

  - ##### msg: string | IbcMessageId | GatewayTransferMsg | GatewayTransferWithPayloadMsg | TransactionId

  #### Returns Promise<IbcTransferInfo | null>

  - Defined in connect/src/tasks.ts:78

Generated using TypeDoc